class Circle
{
  public PVector pos;
  public float rad;
  
  public Circle(PVector pos, float rad)
  {
    this.pos = pos;
    this.rad = rad;
  }
  
  /**
  * Returns point of collision with given circle
  * or null otherwise
  */
  public PVector collide(Circle c)
  {
    float collide_distance = this.rad + c.rad;
    float distance         = PVector.dist(this.pos, c.pos);
    
    if(distance < collide_distance)
    {
      //Collision
      PVector point_of_collision = new PVector(c.pos.x, c.pos.y);
      point_of_collision.sub(this.pos);
      point_of_collision.mult(this.rad / (this.rad + c.rad));
      point_of_collision.add(this.pos);
      
      return point_of_collision;
    }
    else
    {
      //No collision
      return null;
    }
  }
  
}
