class HelpScreen
{
  Blob blob;
  Comet comet;
  Bubble bubble;
  float transY = 3*height/4, // Keeps how much to translate by Y
        speedY = .5; // Rate at which transY changes/frame
  boolean reset = false;

  final String strings[] =
  { 
    "On playing Regen, and the joys thereof:",
    "This is you",
    "This is a comet",
    "Use the arrow keys to move side to side to avoid or intercept"
      + " these",
    "If you are hit by a comet, you will be wounded",
    "From here, one of two things will happen:",
    "If you are hit soon after two more times, you will perish",
    "Otherwise, from the hurt of the past shall spring the hope"
      + " of the future",
    "If your child is hit, it may have a child of its own",
    "However, if a child is hit before it can regenerate,"
      + " it shall perish",
    "Grow tall and wide, for such is your safety!"
  };
  
  final int textBoxWidth = width/2,     // max text section width
        textYSpacing = 70, // max text height
        textX = width/4;   // text x location
//  int textY = textYSpacing;   // text y location
  
  /** Constructor */
  HelpScreen()
  {
    blob = new Blob(width/2, BLOB_RADIUS);
    blob.pos.x = width - (5 + 2*blob.rad);
    
    comet = new Comet();
    comet.bcircle.pos.x = width - (5 + 2*blob.rad);
    
    // The y-coord in this constructor will be changed later
    bubble = new Bubble(new PVector(width - (5 + 2*blob.rad),0));
  }
  
  void display()
  {
    if (!reset) {
      background(0);
 
      
      pushMatrix();
      translate(0, transY -= speedY);
      
      // draw demo blob
      blob.pos.y = 2 * textYSpacing;
      blob.disp();
      // draw demo comet
      comet.y = 3*textYSpacing;
      comet.disp();
      // draw demo hurt blob
      image(blob_hurt1img, 
            width - 3*blob.rad, 5*textYSpacing, 
            2*blob.rad, 2*blob.rad);
      // draw demo blob+bubble
      blob.pos.y = textYSpacing + blob.rad 
                  + 7*textYSpacing;
      blob.disp();
      bubble.pos.y = textYSpacing + 7*textYSpacing;
      bubble.disp(); 
      // draw demo bubble + child bubble
      bubble.pos.y = textYSpacing + 8.25*textYSpacing;
      bubble.disp();
      bubble.pos.x += .7 * bubble.RADIUS;
      bubble.pos.y = textYSpacing - .7*bubble.RADIUS 
                    + 8.25*textYSpacing;
      bubble.disp();
      // restore bubble's x-coord
      bubble.pos.x -= .7 * bubble.RADIUS;
      
      // Print text
      for (int i = strings.length-1; i > 0; i--)
        text(strings[i], 
            textX, textYSpacing + i*textYSpacing, 
            textBoxWidth, textYSpacing);
            
      if (transY < -height)
        reset = true;
      
      popMatrix();
      
      // Title should be at the top
      fill(0);
      rect(0, 0, width, height/7);
      fill(255);
      text(strings[0], textX, textYSpacing);
    }
    else 
    {
      reset = false;
      transY = 3*height/4;
      gameState = GS_TITLE;
      speedY = 0.5;
    }
  }
}
