class ScoreScreen
{
  int scores[] = {0,0,0,0,0,0,0,0,0,0};  // Top 10 scores
  String scoresFromFile[];
  String line;        // Temp line read in from file
  String fileName = "Scores.rgn";  // Name of hi score file
  
  /** Constructor */
  ScoreScreen()
  {
    scoresFromFile = loadStrings(fileName);
    if (scoresFromFile != null)
      for (int i = 0; i < scoresFromFile.length && i < 10; i++)
        scores[i] = parseInt(scoresFromFile[i], 10);
  }
  
  /** Displays the high scores (if any)! */
  void display()
  {
    if (scores[scores.length-1] == 0)
    {
      text("No Scores yet! Guess it's time to play!", 
            width/3, height/2);
      return;
    }
    
    text("Scores", width/2 - 10, 20);
    
    // display scores in descending order
    int number = 1;  // number of score
    int offsetX = 20, offsetY = 25;
    // Order is low to high, so start at end
    // (might be some empty slots (0) at beginning)
    for (int i = scores.length-1; i >= 0 && scores[i] > 0; i--)
      text("" + number++ + ".   " + scores[i],
            offsetX, offsetY*number);
    
    text("(Press enter to exit the Stage of History)",
          width/2-30, height-40);
  }
  
  /** Returns true if the given score is a high score */
  boolean isHighScore(int score)
  {
    return score > scores[0];
  }
  
  /** Adds a score to the list */
  void addScore(int score)
  {
    // lowest score will be at 
    // the first index
    scores[0] = score;
    Arrays.sort(scores);
  }
  
  /** Prints the scores to a file */
  void saveScores()
  {
    String[] tmp = new String[10];
    for (int i = 0; i < scores.length; i++)
      tmp[i] = "" + scores[i];
    saveStrings(fileName, tmp);
  }
}

